asterisk (1:22.10.0+dfsg+~cs6.17.60671434-1ubuntu2) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 19:01:51 +0000

asterisk (1:22.10.0+dfsg+~cs6.17.60671434-1ubuntu1) stonking; urgency=medium

  * Added patch for OpenSSL4 compatibility (LP: #2154830)
    - d/p/fix-for-openssl4-compat.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 19 Jun 2026 12:18:16 +0200

asterisk (1:22.10.0+dfsg+~cs6.17.60671434-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: bump version for embedded pjproject
  * unfuzz patches
  * update copyright info: update coverage
  * update source helper tool copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jun 2026 02:34:59 +0200

asterisk (1:22.9.0+dfsg+~cs6.16.60671434-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch: fixate on newer pjproject
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.4
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2026 10:45:51 +0200

asterisk (1:22.8.2+dfsg+~cs6.15.60671435-1) unstable; urgency=high

  [ upstream ]
  * new release;
    CVE-2026-23738 CVE-2026-23739 CVE-2026-23740 CVE-2026-23741;
    closes: bug#1127438, thanks to Salvatore Bonaccorso

  [ Jonas Smedegaard ]
  * update copyright info:
    + license patches same as main upstream license
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Feb 2026 21:02:53 +0100

asterisk (1:22.8.0+dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop superfluously set fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * update copyright info:
    + avoid any .git* files when repackaging source
    + update coverage
  * update watch file:
    + use Uversion-Mangle: auto (not custom regex)
    + use Dversion-Mangle: auto
    + use Repacksuffix: +dfsg (not ~dfsg)
  * unfuzz patches
  * update git-buildpackage config:
    + filter out debian subdir
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Feb 2026 13:35:43 +0100

asterisk (1:22.7.0~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:32:19 +0100

asterisk (1:22.6.0~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Bernhard Schmidt ]
  * remove myself as uploader

  [ Benedikt Wildenhain ]
  * add myself as uploader

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Oct 2025 20:20:21 +0100

asterisk (1:22.5.2~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + A specifically malformed Authorization header
      in an incoming SIP request can cause Asterisk to crash
      CVE-2025-57767;
      closes: bug#1112470, thanks to Salvatore Bonaccorso

  [ Jonas Smedegaard ]
  * update copyright info:
    + strip upstream-autogenerated file README.html
      from repackaged source
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Aug 2025 22:00:21 +0200

asterisk (1:22.5.1~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + test for missing semicolon in res_stir_shaken Identity header;
      CVE-2025-49832;
      closes: bug#1110317, thanks to Salvatore Bonaccorso

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Aug 2025 11:18:38 +0200

asterisk (1:22.4.1~dfsg+~cs6.15.60671435-2) unstable; urgency=medium

  * build-depend on libcrypt-dev;
    closes: bug#1107016, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2025 21:58:04 +0200

asterisk (1:22.4.1~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + add option to restrict shell access from remote consoles;
      CVE-2025-47780;
      closes: bug#1106530, thanks to Salvatore Bonaccorso
    + mask control characters in received From display name;
      CVE-2025-47779;
      closes: bug#1106528, thanks to Salvatore Bonaccorso

  [ Chris Maj ]
  * remove IMAP voicemail backend, because libc-client2007e is gone;
    stop build-depend on libc-client2007e-dev;
    closes: bug#1103048, thanks to Chris Hofstaedtler
  * add self as uploader

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 May 2025 14:36:46 +0200

asterisk (1:22.3.0~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Mar 2025 16:58:35 +0100

asterisk (1:22.3.0~~rc1~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new prerelease

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Mar 2025 17:18:00 +0100

asterisk (1:22.2.0~dfsg+~cs6.15.60671435-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix res_config_pgsql regression that removed dbname config;
    closes: bug#1098486, thanks to Andrey N. Abelev
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 08:54:51 +0100

asterisk (1:22.2.0~dfsg+~cs6.15.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: track pjproject 2.15.1
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 20:53:26 +0100

asterisk (1:22.1.1~dfsg+~cs6.14.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + Restrict ListCategories to the configuration directory;
      CVE-2024-53566

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + avoid variable abstraction in usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 00:01:35 +0100

asterisk (1:22.1.0~dfsg+~cs6.14.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and trust only upstream team signing key 5D984BE337191CE7
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 12:37:42 +0100

asterisk (1:22.0.0~dfsg+~cs6.14.60671435-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:39:34 +0200

asterisk (1:22.0.0~~rc2~dfsg+~cs6.14.60671435-1) experimental; urgency=medium

  [ upstream ]
  * new prerelease(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * adapt build routines and add NEWS entry
    related to no longer provided modules app_macro chan_sip
  * stop build-depend on libasound2-dev;
    stop mention ALSA in long description
    (module chan_alsa not provided for some time)
  * update copyright info: update coverage
  * cleanup new upstream hint file .lastclean
  * fix handle prerelease changelog file

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 11:28:05 +0200

asterisk (1:20.9.3~dfsg+~cs6.14.60671435-1) unstable; urgency=high

  [ upstream ]
  * new release(s)
    + add entries to Originate blacklist;
      CVE-2024-42365;
      closes: bug#1078574, thanks to Salvatore Bonaccorso
    + test for NULL ub_result in unbound_resolver_callback;
      CVE-2024-42491

  [ Jonas Smedegaard ]
  * fix minor privilege escalation; thanks to Niels Galjaard
  * update watch file: track mp3 component from git clone
  * unfuzz patch 2012
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Sep 2024 22:14:21 +0200

asterisk (1:20.8.1~dfsg+~cs6.14.40431414-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + use PJProject 2.14.1,
      which fixes Use-after-free in SRTP media transport;
      CVE-2023-37457 CVE-2023-38703;
      closes: bug#1059303, thanks to Moritz Mühlenhoff
    + fix regression issues with DTLS client check;
      closes: bug#1068296, thanks to Oleksandr Kozmenko

  [ Jonas Smedegaard ]
  * update watch file:
    + track only LTS releases
    + bump to track pjproject 2.14.1
  * unfuzz patches
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * create and restrict access to cache dir;
    closes: bug#1072739, thanks to Bastian Triller
  * fix rotate main logfiles,
    as logfiles use suffix .log since Asterisk 19;
    thanks to James Bottomley (see bug#1024822)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 14:10:19 +0200

asterisk (1:20.6.0~dfsg+~cs6.13.40431414-2) unstable; urgency=medium

  * update patch 2016 to avoid excessive logging;
    closes: bug#1060275, thanks to Daniel

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jan 2024 11:42:08 +0100

asterisk (1:20.6.0~dfsg+~cs6.13.40431414-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update copyright info: update coverage
  * build-depend on libjwt-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jan 2024 14:53:47 +0100

asterisk (1:20.5.2~dfsg+~cs6.13.40431414-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use systemd.pc to place systemd service unit;
    build-depend on systemd-dev;
    closes: bug#1059180, thanks to Chris Hofstaedtler

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Dec 2023 13:58:28 +0100

asterisk (1:20.5.1~dfsg+~cs6.13.40431414-1) unstable; urgency=high

  [ upstream ]
  * new release
    + fixes these upstream bugs:
      CVE-2023-49294 CVE-2023-49786;
      closes: bug#1059032, #1059033, thanks to Salvatore Bonaccorso

  [ Jonas Smedegaard ]
  * fix enable opus codec;
    build-depend on libopusenc-dev;
    closes: bug#1025165,
    thanks to Paweł Bogusławski, Faidon Liambotis and Athos Ribeiro
  * set urgency=high due to multiple security bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Dec 2023 17:38:11 +0100

asterisk (1:20.5.0~dfsg+~cs6.13.40431414-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 12:25:03 +0100

asterisk (1:20.4.0~dfsg+~cs6.13.40431414-2) unstable; urgency=medium

  * build-depend on liblua5.1-dev (not liblua5.2-dev);
    closes: bug#1050625, thanks to Bastian Germann and David
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Aug 2023 17:23:31 +0200

asterisk (1:20.4.0~dfsg+~cs6.13.40431414-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop depend on lsb-base
  * update watch file:
    + fixate component pjproject at upstream release 2.13.1;
      fixes these upstream bugs:
      CVE-2022-23537 CVE-2022-23547 CVE-2022-39269 CVE-2023-27585
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Aug 2023 21:53:23 +0200

asterisk (1:20.3.0~dfsg+~cs6.13.40431413-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * fix cleanup to support double build;
    thanks to ideal.bowl5022
  * generate core documentation from markdown sources;
    skip generate manpage when nodoc is set;
    build-depend on cmark-cfm

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jun 2023 08:35:49 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog asterisk-config`.
